summaryrefslogtreecommitdiffstats
path: root/.graveyard/punani/host/dist/arch/getsize
diff options
context:
space:
mode:
Diffstat (limited to '.graveyard/punani/host/dist/arch/getsize')
-rwxr-xr-x.graveyard/punani/host/dist/arch/getsize17
1 files changed, 17 insertions, 0 deletions
diff --git a/.graveyard/punani/host/dist/arch/getsize b/.graveyard/punani/host/dist/arch/getsize
new file mode 100755
index 00000000..a2ef8f95
--- /dev/null
+++ b/.graveyard/punani/host/dist/arch/getsize
@@ -0,0 +1,17 @@
+#! /bin/sh
+set -euf
+sed -n '
+ /^Name/{
+ s/^Name *: *\(.*\)$/\1/
+ T
+ h
+ }
+ /^Installed Size/{
+ s/^Installed Size *: *\(.*\)$/ \1/
+ T
+ H
+ x
+ s/\n//g
+ p
+ }
+' | awk '{print$2$3" "$1}' | sort -n